if (typeof Oidc == "undefined") {
  throw new Error("You are missing the `oidc-client-js` lib");
}


// Var declarations
var sib  = {};
sib.oidc = {};


// Setup User Manager
sib.oidc._setup = function(settings) {
  if (typeof sib.oidc._manager == "undefined") {
    sib.oidc._manager = new Oidc.UserManager(settings);
  }
}


// Connect to OIDC provider
sib.oidc.connect = function (settings) {
  sib.oidc._setup(settings);

  sib.oidc._manager.signinRedirectCallback()
    .then()
    .catch(function(error) {
      console.log(error);

      sib.oidc._manager.signinRedirect({state: "some data"})
        .then()
        .catch(function(error) {
          console.log(error);
        });
  });
}


// Entry point 
fetch("./oidc-client-config.json")
  .then(response => response.json())
  .then(settings => sib.oidc.connect(settings));

